/*************************************************************************
 *
 * Copyright (c) 2008-2011, Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/
 
import QtQuick 1.0
 

Item {
    id: itemList
    width: 330
    height: 75
    property string intern_name: "Name"
    property string intern_surname: "Surname"
    property string intern_telephone: "555 7879"
    property string intern_icon: "gps"
    property bool intern_fav: true


    Image {
        id: icon
        width: 42
        height: 42
        source: if(intern_icon == "") { return "" } else { return "images/"+intern_icon+".png" }
    }

    Text {
        id: nameTxt
        font.family: "Univers LT Std"
        color: "#c8c8c8"
        font.pixelSize: 22
        text: "<b>"+ intern_name + "</b> " + intern_surname
        anchors.left: icon.right
        anchors.top: icon.top
        anchors.topMargin: 8
    }

    Text {
        id: phoneTxt
        font.family: "Univers LT Std"
        color: "#96999c"
        font.pixelSize: 15
        text: intern_telephone
        anchors.left: icon.right
        anchors.top: nameTxt.bottom
        anchors.topMargin: 5
    }

    Image {
        id: favIcon
        anchors.left: phoneTxt.right
        anchors.leftMargin: 3
        anchors.top: phoneTxt.top
        anchors.topMargin: -2
        source: if(intern_fav) { return "images/favorite.png" } else { return "" }
    }

}
