/*************************************************************************
 *
 * Copyright (c) 2008-2011, Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/
 
import QtQuick 1.0
 

Item {
    width: 360
    height: 640

    function setUser(txt)
    {
        var untilUser = txt.indexOf(':');
        var user = txt.slice(0, untilUser);
        var text = txt.slice(untilUser, txt.length);
        return "<b>"+user+"</b>"+text;
    }


    Image {
        id: background
        source: "images/background.jpg"
    }

    Text {
        id: titleText
        font.family: "Univers LT Std"
        color: "#c8c8c8"
        text: "Twitter Public Timeline"
        anchors.bottom: clippedItem.top
        anchors.bottomMargin: 10
        anchors.left: clippedItem.left
    }


    XmlListModel {
         id: xmlModel
         source: "http://api.twitter.com/1/statuses/public_timeline.rss"
         query: "/rss/channel/item"

         XmlRole { name: "pubDate"; query: "pubDate/string()" }
         XmlRole { name: "desc"; query: "description/string()" }
     }

    Item {
        id: clippedItem
        width: 360
        height: 600
        anchors.top: background.top
        anchors.topMargin: 60
        anchors.left: background.left
        anchors.leftMargin: 20
        clip: true

        ListView {
            id: listExample
            anchors.fill: parent
            orientation: "Vertical"
            model: xmlModel
            delegate: itemComponent
            cacheBuffer: 100
        }
    }

    Component {
        id: itemComponent
        Item {
            id: listItem
            width: 330
            height: childrenRect.height + 20

            Text {
                id: descriptionTxt
                font.family: "Univers LT Std"
                color: "#c8c8c8"
                width: parent.width
                font.pixelSize: 22
                text: setUser(desc)
                wrapMode: Text.WordWrap
                anchors.left: parent.left
                anchors.top: parent.top
                anchors.topMargin: 8
            }

            Text {
                id: pubDateTxt
                font.family: "Univers LT Std"
                color: "#c8c8c8"
                font.pixelSize: 18
                text: pubDate
                anchors.top: descriptionTxt.bottom
                anchors.topMargin: 10
            }

            Rectangle {
                id: divisionLine
                color: "#2c2e38"
                height: 1
                width: 330
                anchors.top: pubDateTxt.bottom
                anchors.topMargin: 12
            }
        }
    }

    Image {
        id: shadowDetail
        source: "images/shadow_detail.png"
        anchors.top: clippedItem.top
    }
}
