/*************************************************************************
 *
 * Copyright (c) 2008-2011, Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/
 
import QtQuick 1.0
 

Item {
    id: listItem
    width: childrenRect.width
    height: childrenRect.height

    property string user
    property string desc
    property string picture
    property string pubDate
    property string userBio

    Image {
        id: tweetBackground
        source: "images/tweet_background.png"
        anchors.top: parent.top
        anchors.topMargin: 45
        anchors.left: parent.left
    }

    Rectangle {
        id: userPicture
        anchors.left: tweetBackground.left
        anchors.leftMargin: 20
        anchors.top: tweetBackground.top
        anchors.topMargin: 20
        width: 48
        height: 48
        color: "#7b7b7b"

        Image {
            source: picture
        }
    }

    Text {
        id: userName
        text: user
        font.family: "Univers LT Std"
        font.pixelSize: 18
        color: "#7b7b7b"
        anchors.top: userPicture.top
        anchors.left: userPicture.right
        anchors.leftMargin: 10
    }

    Text {
        id: userDescription
        text: userBio
        font.family: "Univers LT Std"
        width: 350
        font.pixelSize: 18
        color: "#7b7b7b"
        wrapMode: Text.WordWrap
        anchors.top: userPicture.bottom
        anchors.left: userPicture.left
        anchors.topMargin: 20
    }

    Rectangle {
        id: divisionLine2
        color: "#c8c8c8"
        height: 1
        width: 350
        anchors.left: userDescription.left
        anchors.top: userDescription.bottom
        anchors.topMargin: 20
    }

    Text {
        id: descriptionTxt
        font.family: "Univers LT Std"
        color: "#7b7b7b"
        width: 350
        font.pixelSize: 22
        text: desc
        wrapMode: Text.WordWrap
        anchors.left: divisionLine2.left
        anchors.top: divisionLine2.top
        anchors.topMargin: 20
    }

    Text {
        id: pubDateTxt
        font.family: "Univers LT Std"
        color: "#c8c8c8"
        font.pixelSize: 18
        text: pubDate
        anchors.left: descriptionTxt.left
        anchors.top: descriptionTxt.bottom
        anchors.topMargin: 10
    }
}
