/*************************************************************************
 *
 * Copyright (c) 2008-2011, Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/
 
import QtQuick 1.0
 

Item {
    id: root
    width: 800
    height: 480

    property int initialSpace: 207
    property bool loading: xmlModel.status == XmlListModel.Loading

    Image {
        id: background
        source: "images/background.png"
    }

    XmlListModel {
        id: xmlModel
        source: "http://api.twitter.com/1/statuses/public_timeline.xml"
        query: "/statuses/status"

        XmlRole { name: "pubDate"; query: "created_at/string()" }
        XmlRole { name: "desc"; query: "text/string()" }
        XmlRole { name: "user"; query: "user/screen_name/string()" }
        XmlRole { name: "userBio"; query: "user/description/string()" }
        XmlRole { name: "picture"; query: "user/profile_image_url/string()" }
    }

    ListView {
        id: listExample
        width: 800
        height: 480
        orientation: "Horizontal"
        model: xmlModel
        delegate: itemComponent
        header: spaceComponent
        footer: spaceComponent
        spacing: 20
        //cacheBuffer: 100
        //snapMode: ListView.SnapOneItem
    }

    LoadingContent {
        on: root.loading
        anchors {
            horizontalCenter: root.horizontalCenter
            verticalCenter: root.verticalCenter
        }
    }

    Component {
        id: spaceComponent
        Item {
            width: initialSpace
            height: initialSpace
        }
    }

    Component {
        id: itemComponent
        TweetCard {
            internalpubDate: model.pubDate
            internaldesc: model.desc
            internaluser: model.user
            internalpicture: model.picture
            internaluserBio: model.userBio
        }

    }
}
